/*
 * Licensed Material - Property of IBM
 * (C) Copyright IBM Corp. 2012 - All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 */
package com.ibm.calculator.junit.tests;

public class SimpleIntegerCalculator {	
	
	private Object memory = null; 
	
	
	public void save(int value) {
		this.setMemory(new Integer(value)); 
	}
	public void clearMemory() {
		this.setMemory(null);
	}
	
	public int add(int o1, int o2) {
		return o1 + o2;
	}
	
	public int subtract(int o1, int o2) {
		return o1 - o2;
	}
	
	public int multiply(int o1, int o2) {
		return o1*o2;
	}
	
	public int power(int o1, int pow) {
		int result=o1; 
		for (int i=1 ; i<pow; i++){
			result *= o1;
		}
		return result; 
	}
	
	public int divide(int o1, int o2) {
		double div = o1 / o2;
		return (int)div; 
	}
	
	public int fibonacci(int n) {
		if (n==0) return 0;
		else if (n==1) return 1; 
		else return fibonacci(n-1) + fibonacci(n-2); 
	}
	
	public int factorial(int n) {
		if (n == 0) return 1;
		else return (n*factorial(n-1));
	}

	public void setMemory(Object memory) {
		this.memory = memory;
	}

	public Object getMemory() {
		return memory;
	}
	
}
 